petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISGetSize

Returns the global length of an index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

size -the global size

### Level

beginner

### Location

src/vec/is/is/interface/index.c

### Examples

src/ts/examples/tutorials/ex11.c.html

### Implementations

ISGetSize_Block in src/vec/is/is/impls/block/block.c
ISGetSize_General in src/vec/is/is/impls/general/general.c
ISGetSize_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages